Search Specific Extensions
Search specific extensions from the extension list.
Request URL
GET {base_url}/{api_path}/extension/search?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| page | No | String | Define which page is displayed. |
| page_size | No | String | Define how many records per page. |
| sort_by | No | String | Define the sorting field. Valid value:
|
| order_by | No | String | Define the display order. Valid value:
|
| search_value | No | String | Search keyword. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| total_number | Integer | The total of the searched extensions. |
| data | Array<Ext_Basicinfo> | The basic information of the extension. |
Ext_Basicinfo
| Parameter | Type | Description |
|---|---|---|
| id | Integer | Extension ID. |
| online_status | Object<Online_Status> | Extension Online Status on the following endpoints.
|
| presence_status | String | Default extension presence.
|
| custom_presence_status | String | Custom extension presence. |
| number | String | Extension Number. |
| caller_id_name | String | Caller ID Name. |
| role_name | String | User Role. |
| email_addr | String | Email Address. |
| mobile_number | String | Mobile Number. |
Online_Status
| Parameter | Type | Description |
|---|---|---|
| status | Integer | The extension online status on the endpoint (expect for SIP endpoint). Note:The extension online status on SIP endpoint is returned in the status_list parameter.
|
| ext_dev_type | String | The type of online devices.
|
| status_list | Array<Status_List> | The extension online status on SIP endpoint. Note:This parameter is only returned when the extension is registered on an SIP endpoint. |
Status_List
| Parameter | Type | Description |
|---|---|---|
| status | Integer | The extension online status on the SIP endpoint.
|
| ip | String | The IP address and SIP port of the SIP endpoint. For example, 192.168.28.190:5060. |
| simuconnect_dev_type | String | The type of online Simu Connect Mobile Client and Simu Connect Pad Client (SDK).
|
Examples
Request example
Search for extension 2000 from the extension list.
GET /openapi/v1.0/extension/search?order_by=asc&search_value=2000&access_token=WoAp9s3hYXSWgD5ZdOAhpGNvgnl8SufF HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"total_number": 1,
"data": [
{
"id": 238,
"online_status": {
"sip_phone": {
"status": 0,
"ext_dev_type": "sip", //Extension 2000 is registered on a SIP device.
"status_list": [
{
"status": 1, //Extension online status on the SIP device
"ip": "192.168.28.190:5060" //IP address and SIP port of the SIP device
}
]
},
"simuconnect_desktop": {
"status": 0
},
"simuconnect_mobile": {
"status": 1,
"ext_dev_type": "simuconnectmobile",
"status_list": [
{
"status": 1,
"ip": "112.48.22.71",
"simuconnect_dev_type": "android"
}
]
}
},
"simuconnect_web": {
"status": 0
}
},
"presence_status": "available",
"number": "2000",
"caller_id_name": "Edmond Boto",
"role_name": "Administrator",
"email_addr": "edmond@sample.com",
"custom_presence_status": "Available (Work)"
}
]
}